<?php

use Server\Database\Connection;

use Server\Database\Models\User;
use Server\Database\Models\Trade;
use Server\Database\Models\Deposit;
use Server\Database\Models\Withdrawal;

use Server\Controllers\Observers\UserObserver;
use Server\Controllers\Observers\TradeObserver;
use Server\Controllers\Observers\DepositObserver;
use Server\Controllers\Observers\WithdrawalObserver;

new Connection;

User::observe(new UserObserver);
// Trade::observe(new TradeObserver);
Deposit::observe(new DepositObserver); 
Withdrawal::observe(new WithdrawalObserver);